--- old/usr/src/lib/libc/port/gen/priv_str_xlate.c	2015-12-28 20:01:58.528350202 -0500
+++ new/usr/src/lib/libc/port/gen/priv_str_xlate.c	2015-12-28 20:01:58.548287704 -0500
@@ -58,6 +58,16 @@
 	return (d->pd_basicset);
 }
 
+priv_set_t *
+priv_default(void)
+{
+	priv_data_t *d;
+
+	LOADPRIVDATA(d);
+
+	return (d->pd_defaultset);
+}
+
 /*
  *	Name:	priv_str_to_set()
  *
@@ -80,8 +90,9 @@
 	char *offset;
 	char *last;
 	priv_set_t *pset = NULL;
-	priv_set_t *zone;
-	priv_set_t *basic;
+	priv_set_t *zone = NULL;
+	priv_set_t *basic = NULL;
+	priv_set_t *deflt = NULL;
 
 	if (endptr != NULL)
 		*endptr = NULL;
@@ -95,6 +106,7 @@
 
 	priv_emptyset(pset);
 	basic = priv_basic();
+	deflt = priv_default();
 	zone = privdata->pd_zoneset;
 
 	/* This is how to use strtok_r nicely in a while loop ... */
@@ -106,6 +118,9 @@
 		 */
 		if (basic != NULL && strcasecmp(offset, "basic") == 0) {
 			priv_union(basic, pset);
+		} else if (deflt != NULL && strcasecmp(offset,
+		    "default") == 0) {
+			priv_union(deflt, pset);
 		} else if (strcasecmp(offset, "none") == 0) {
 			priv_emptyset(pset);
 		} else if (strcasecmp(offset, "all") == 0) {
